Validate manifest
POST
/manifests/validate
const url = 'https://shoehorn.example.com/api/v1/manifests/validate';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"content":"example","format":"shoehorn"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shoehorn.example.com/api/v1/manifests/validate \ --header 'Content-Type: application/json' \ --data '{ "content": "example", "format": "shoehorn" }'Validates a manifest YAML against the schema without creating it.
Request Body required
Section titled “Request Body required ” Media type application/json
object
content
required
YAML manifest content
string
format
string
Responses
Section titled “ Responses ”Validation results
Media type application/json
object
valid
boolean
errors
Array<object>
object
field
string
message
string
Example generated
{ "valid": true, "errors": [ { "field": "example", "message": "example" } ]}